read.lisst {oce} | R Documentation

## Read a LISST data file

### Description

Read a LISST data file, producing an object of type `lisst`.

### Usage

    read.lisst(file, year=0, tz="UTC", longitude=NA, latitude=NA)

### Arguments

`file` | a connection or a character string giving the name of the file to load.
`year` | year in which the measurement of the series was made.
`tz` | time zone.
`longitude` | longitude of observation (stored in metadata)
`latitude` | latitude of observation (stored in metadata)

### Details

The file should contain 42 columns, with no header. If there are fewer than 42 columns, an error results. If there are more, only the first 42 are used. Note that `read.oce` can recognize LISST files by their having a name ending in `".asc"` and by having 42 elements on the first line. Even so, it is preferred to use the present function, because it gives the opportunity to specify the year and timezone, so that times can be calculated properly.

### Value

An object of `class` `"lisst"`, which is a list with slots as detailed below.

``data`` | : a list containing columns named `C1` to `C32`, which are volume concentrations (in microliters per liter) for size classes 1 through 32, along with `lts` (laser transmission sensor, column 33), `voltage` (battery voltage in calibrated units, column 34), `aux` (external auxiliary input 1 in calibrated units, column 35), `lrs` (laster reference sensor in calibrated units, column 36), `pressure` (pressure in dbar, column 37), `temperature` (in degrees C, column 38), `dayhour` (day*100 +hour, column 39), `minutesecond` (minute*100+second, column 40), `transmission` (computed percent optical transmission over path, column 41), `beam` (computed beam-C in units of 1/m, column 42), and `time`a POSIXct time calculated from `dayhour` and `minuteseconds`, using the `year` specified as an argument, or the present year, if the year was not given, and using timezone `tz`.
``metadata`` | : a list containing the following items `filename`, the name of the file holding the data, `latitude`, the latitude of the observations, and `longitude`, the longitude of the observations.
``processingLog`` | : a log of processing, in the standard `oce` format.

### Author(s)

Dan Kelley

### See Also

The documentation for `lisst-class` explains the structure of `lisst` objects, and also outlines the other functions dealing with them. In particular, `read.lisst` uses `as.lisst` to create the LISST object that is returned.

[Package oce version 0.9-18 Index]